Bug 136475 - Added support for Adaptec 2130S in aacraid
Summary: Added support for Adaptec 2130S in aacraid
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 2
Hardware: x86_64 Linux
medium
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-20 11:52 UTC by Keith Chew
Modified: 2015-01-04 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 04:00:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Keith Chew 2004-10-20 11:52:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.1.4322)

Description of problem:
Hi

I have a Adaptec 2130S RAID card, which is not listed 
in /usr/src/linux-2.6.8-1.521/drivers/scsi/aacraid/linit.c.

I have added it into the list of cards, ie:

{ aac_rkt_init,"aacraid",  "ADAPTEC ", "ASR-2130S PCI-X ", 1 }, /* 
ASR-2130S + ASR-2130SLP PCI-X (Lancer) */

Now aacraid is detecing the card fine. I will continue testing to see 
if there are further problems.

Keith


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Insert 2130S card
2. Start Linux
3. Card will not be detected by aacraid because it is not in the list
    

Additional info:

Comment 1 Keith Chew 2004-10-21 11:30:36 UTC
Just an update.

Running aacraid on the 2130S is working fine. I can see the drive, 
make partition, format, mount and benchmark. No errors.

However, when I configure modprobe.conf to load the drivers on boot, 
the kernel hangs on boot. I can hear the card go beeeeeeep 
continuously.

There could be some initialisation problems with the card if it's 
being started up at boot time.

Regards
Keith

Comment 2 Dave Jones 2005-04-16 04:00:16 UTC
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.



Note You need to log in before you can comment on or make changes to this bug.